GHSA-qfjv-998w-q48f

Suggest an improvement
Source
https://github.com/advisories/GHSA-qfjv-998w-q48f
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2018/11/GHSA-qfjv-998w-q48f/GHSA-qfjv-998w-q48f.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-qfjv-998w-q48f
Aliases
Published
2018-11-06T23:15:46Z
Modified
2024-03-04T22:04:09.923983Z
Severity
  • 7.2 (High) CVSS_V3 - CVSS:3.0/AV:N/AC:L/PR:H/UI:N/S:U/C:H/I:H/A:H CVSS Calculator
Summary
Improper Restriction of XML External Entity Reference in org.apache.syncope:syncope-core
Details

An administrator with workflow definition entitlements can use DTD to perform malicious operations, including but not limited to file read, file write, and code execution.

References

Affected packages

Maven / org.apache.syncope:syncope-core

Package

Name
org.apache.syncope:syncope-core
View open source insights on deps.dev
Purl
pkg:maven/org.apache.syncope/syncope-core

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.0.11

Affected versions

1.*

1.0.0-RC1-incubating
1.0.0-RC2-incubating
1.0.0-RC3-incubating
1.0.0-incubating
1.0.1-incubating
1.0.2-incubating
1.0.3-incubating
1.0.4
1.0.5
1.0.6
1.0.7
1.0.8
1.0.9
1.1.0
1.1.1
1.1.2
1.1.3
1.1.4
1.1.5
1.1.6
1.1.7
1.1.8
1.2.0-M1
1.2.0
1.2.1
1.2.2
1.2.3
1.2.4
1.2.5
1.2.6
1.2.7
1.2.8
1.2.9
1.2.10
1.2.11

2.*

2.0.0-M1
2.0.0-M2
2.0.0-M3
2.0.0-M4
2.0.0.M5
2.0.0
2.0.1
2.0.2
2.0.3
2.0.4
2.0.5
2.0.6
2.0.7
2.0.8
2.0.9
2.0.10

Maven / org.apache.syncope:syncope-core

Package

Name
org.apache.syncope:syncope-core
View open source insights on deps.dev
Purl
pkg:maven/org.apache.syncope/syncope-core

Affected ranges

Type
ECOSYSTEM
Events
Introduced
2.1.0
Fixed
2.1.2

Affected versions

2.*

2.1.0
2.1.1